#include "CS_PeWaterfallBase.h"
#include "CS_PeWaterfall.h"
CS_PeWaterfallBase::CS_PeWaterfallBase()
{
	action_timecounter = action_timecounter_max = 10;
}

void CS_PeWaterfallBase::Step()
{
	if (action_timecounter > 0)
		action_timecounter--;
	if (action_timecounter == 0)
	{
		action_timecounter = action_timecounter_max;
		SetCS_PeWaterfall(shared_from_this(), x, y, style);
	}
}

void CS_PeWaterfallBase::SetState(std::wstring stateName, int lr)
{
	if (stateName == L"set_style")
		style = lr;
}

std::shared_ptr<Entity> CreateCS_PeWaterfallBase()
{
	return std::make_shared<CS_PeWaterfallBase>();
}
